libetonyek::IWORKPropertyContextBase Class Reference documentation

libetonyek::IWORKPropertyContextBase Class Reference

`#include <IWORKPropertyContextBase.h>`

Inheritance diagram for libetonyek::IWORKPropertyContextBase:

## Protected Member Functions
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Protected Attributes
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual IWORKXMLContextPtr_t | element (int name)=0
| Create a context for parsing a child element.
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Constructor & Destructor Documentation

## ◆ IWORKPropertyContextBase()

libetonyek::IWORKPropertyContextBase::IWORKPropertyContextBase | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap )
| protected

Referenced by libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::IWORKPropertyContext(), and libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::IWORKPtrPropertyContext().

## Member Data Documentation

## ◆ m_default

bool libetonyek::IWORKPropertyContextBase::m_default
| protected

Referenced by libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::element(), libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::element(), libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::endOfElement(), libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::endOfElement(), and IWORKPropertyContextBase().

## ◆ m_propMap

IWORKPropertyMap& libetonyek::IWORKPropertyContextBase::m_propMap
| protected

Referenced by libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::endOfElement(), libetonyek::IWORKPtrPropertyContext< Property, Context, TokenId >::endOfElement(), and IWORKPropertyContextBase().

The documentation for this class was generated from the following files:

- IWORKPropertyContextBase.h
- IWORKPropertyContextBase.cpp